## splashy 0.3.2

=== debian/changelog ===
splashy (0.3.2) unstable; urgency=low
 
  The 'mbiebl is our favorite beta-tester' release

  [ Tim Dijkstra ]
  * Start /etc/init.d/splashy after we have /proc. That is at S03.
    also first remove the links in postinst. We have changed the
    location. (closes: #410897, #410623, #410861)
  * Really remove splashy-init. (closes: #410898)
  * Source lsb functions before using them (closes: #410896)
  * Fix autogen.sh to also accept automake 10
  * Install the right /etc/default/splashy
  * Don't fade in the default theme
  * initramfs-tools/hooks/libsplashy: don't yell if uswsusp.conf is not there

 -- Tim Dijkstra <tim@famdijkstra.org>  Thu, 15 Feb 2007 00:39:39 +0100

splashy (0.3.1) unstable; urgency=low

  [ Otavio Salvador ]
  * Disable JPEG support since doesn't make sense since we already do for
    GIF and PNG:
    - debian/control: libsplashy0 doesn't need libdirectfb-extra anymore;
    - src/Makefile.am:
      . remove jpeg com directfb-config calls;
      . remove JPEG symbols from DFBHACK variable;
    - themes/default:
      . convert all jpeg files to png;
      . themes.xml changed according;
    - Makefile.am: change theme files according;
    - scripts/initramfs-tools/hooks/libsplashy.in: remove jpeg library;
  * debian/rules: create make-snapshot target to be easier to make
    development snapshots;

  [ Tim Dijkstra ]
  * Add libsplashy to the depends of libsplashy-dev (closes: #410348)
  * Fix 64bit build (Use socklen_t instead of size_t) (closes: #410395)
  * Make init script trigger on (no)splash on the kernel command line
    (closes: #410662)
  * Remove GIF support too.
  * Add a suspend.png image.

 -- Tim Dijkstra <tim@famdijkstra.org>  Tue, 13 Feb 2007 17:12:15 +0100

splashy (0.3.0) unstable; urgency=low

  [ Otavio Salvador ]
  * Drop all patches since they were merged in upstream repository.
  * Don't use CDBS tarball mode anymore.
  * Fix a control Depends invalid field.
  * Stop using control.in file.
  * Use debhelper compatibility level 5.
  * Simplify initramfs support installation on package.
  * Include libdirectfb-extra as dependency.
  * Make this a native package
  * Prevent kbd (a console-tools altenative) from being run when splashy
    is running.

  [ Tim Dijkstra ]
  * Build libsplahy0 and libsplashy0-dev.
  * Build only splashy statically
  * Rewrite initramfs-scripts/hook to install all necessary
    files and libraries.
  * Fix install targets (closes: 404303)
  * Use /lib/init/rw/splashy for storage of steps file (closes: 405240)
  * Reimplement steps calculation with things present in /bin
  * Prevent console-tools from being run when splashy is (closes: 405235)
  * Install /etc/directfbrc on initramfs (closes:  406110)
  * Remove splashy_pgrep, it is obsolete
  * Install manpages in correct place
  * Lots of autofoo cleanups
  * The themes have a new XML schema

 -- Tim Dijkstra <tim@famdijkstra.org>  Wed, 17 Jan 2007 15:10:56 +0100

splashy (0.2.2) unstable; urgency=low

  [ Luis Mondesi ]
  * New upstream release:
    - mysql-server-5.0: Fail to start or stop mysql-server with Splashy installed. RUNLEVEL not defined. Closes: #400598, #401324
    - instead of showing a nice splash image, it just shows an error message. Closes: #381594
    - progress bar doesn't work : "Cannot test file /proc/cmdline". Closes: #401270
    - F2 doesn't work. Closes: #378322
    - reboot from kde and kdm splashy not displayed, slow reboot. Closes: #352108
    - lib/splashy added to debian/dirs and upstream sources Makefile.am. Closes: #401394
  * debian/splashy.postrm: removes old init.d/splashy symlinks when purging package
 
 -- Otavio Salvador <otavio@debian.org>  Sat, 5 Dec 2006 05:05:04 -0300

splashy (0.2.1) unstable; urgency=low

  [ Luis Mondesi ]
  * Turns off splashy-themes package
  * splashy.postinst:
    - adds splashy to runlevel 0 and 6 at S01*

  [ Otavio Salvador ]
  * Fix compilation problem with GCC 4.2. Closes: #380235
  * Remove doubled build-depends on debhelper.
  * Remove build-essential from build-depends.
  * New upstream version. Closes: #400347

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Jul 2006 14:05:04 -0300

splashy (0.1.9-1) unstable; urgency=low

  [ Luis Mondesi ]
  * Turns off splashy-themes package

  [ Otavio Salvador ]
  * Fix compilation problem with GCC 4.2. Closes: #380235
  * Remove doubled build-depends on debhelper.
  * Remove build-essential from build-depends.

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Jul 2006 14:05:04 -0300

splashy (0.1.8.1-3) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix stupid error in rules file that made our binary empty.

 -- Otavio Salvador <otavio@debian.org>  Wed, 26 Jul 2006 13:29:44 -0300

splashy (0.1.8.1-2) unstable; urgency=low

  [ Otavio Salvador ]
  * Use DEB_UPSTREAM_VERSION to choose the directory to use while
    building;
  * Make package privides, conflicts and replaces 'bootsplash'. uplash is
    going to be uploaded to Debian and will use same behaviour.
  * Bump libdirectfb-dev build-dependency to 0.9.25.1-2 since it solved
    some problems that we workarounded about static linking.
  * Grab two minor fixes from SVN head.

 -- Otavio Salvador <otavio@debian.org>  Wed, 26 Jul 2006 10:49:34 -0300

splashy (0.1.8.1-1) experimental; urgency=low

  [ Otavio Salvador ]
  * Change splashy-themes to be architecture independent;
  * New upstream version:
    - Fix FTBFS on amd64. Closes: #354856
    - Add possibility to behave as chvt;
  * Remove console-tools dependency. Closes: #373987;
  * Do not run update-initramfs on postinst since we can break the user
    boot process. The users will need to take care of initramfs by themselves.
  * Add libmagic-dev as build-dependency.

 -- Otavio Salvador <otavio@debian.org>  Sat, 22 Jul 2006 15:23:25 -0300

splashy (0.1.8-1) experimental; urgency=low

  [ Jacobo Vilella ]
  * Wrong test command. Closes: #365836
  * No more use of /usr/bin/pgrep. Closes: #354027

  [ Luis Mondesi ]
  * new test package

