=== debian/control ===
Source: splashy
Section: graphics
Priority: optional
Maintainer: Splashy Devel <splashy-devel@lists.alioth.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Luis Mondesi <lemsx1@gmail.com>, Tim Dijkstra <tim@famdijkstra.org>
# Reasons of build-dependencies:
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# - libdirectfb-dev (>= 0.9.25.1-2) - due the need of static library
#   included on that specific version
# - libglib2.0-dev (>> 2.0.1-2) - due the need of static library
#   included on that specific version
# - perl - pod2man used to generate man pages
# Isn't this a bug in directfb?:
# - libsysfs-dev - needed by direcfb 0.9.24
# - libmagic-dev - needed to detect mimetypes
#
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 5), libdirectfb-dev (>= 0.9.25.1-2), libglib2.0-dev (>> 2.0.1-2), libtool, perl, libsysfs-dev, libmagic-dev
Standards-Version: 3.7.2

Package: splashy
Architecture: any
Depends: ${shlibs:Depends}
Provides: bootsplash
Replaces: debsplash-utils, bootsplash
Conflicts: debsplash-utils, bootsplash
Suggests: splashy-themes, initramfs-tools
Recommends: lsb-base | lsb
Description: A complete user-space boot splash system
 A boot splash program that doesn't require patching the Linux kernel.
 It paints graphic images directly to framebuffers using libdirectfb.

# Package: splashy-themes
# Architecture: all
# Depends: ${shlibs:Depends}, splashy
# Description: A complete user-space boot splash system
#  This package contains extra themes to be used with splashy.

Package: libsplashy0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Library to draw splash screen on boot, shutdown, resume or suspend
 A boot splash library that doesn't require patching the Linux kernel.

Package: libsplashy0-dev
Architecture: any
Section: libdevel
Provides: libsplashy-dev
Conflicts: libsplashy-dev
Depends: ${shlibs:Depends}, libglib2.0-dev, libdirectfb-dev, libsplashy0 (=${Source-Version})
Description: Library to draw splash screen on boot, shutdown, resume or suspend
 A boot splash library that doesn't require patching the Linux kernel.
