## splashy 0.3.3

=== debian/changelog ===
splashy (0.3.3) unstable; urgency=low

  * Add debhelper token to preinst
  * Splashy depends on lsb-base (closes: #411062)
  * libsplashy depends on libdirectfb-extra, needed for png support
    (closes: #411523)
  * Add XS-Vcs-* and Homepage fields to debian/control
  * init_splashy in libsplashy has changed, bump soname.

 -- Tim Dijkstra <tim@famdijkstra.org>  Wed, 14 Mar 2007 13:38:09 +0100
