=== debian/control ===
--- 
+++ 
@@ -17,18 +17,21 @@
 #
 Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 5), libdirectfb-dev (>= 0.9.25.1-2), libglib2.0-dev (>> 2.0.1-2), libtool, perl, libsysfs-dev, libmagic-dev
 Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.debian.org/svn/splashy/trunk/
+XS-Vcs-Browser: http://svn.debian.org/wsvn/splashy/trunk/
 
 Package: splashy
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lsb-base
 Provides: bootsplash
 Replaces: debsplash-utils, bootsplash
 Conflicts: debsplash-utils, bootsplash
 Suggests: splashy-themes, initramfs-tools
-Recommends: lsb-base | lsb
 Description: A complete user-space boot splash system
  A boot splash program that doesn't require patching the Linux kernel.
  It paints graphic images directly to framebuffers using libdirectfb.
+ .
+  Homepage: http://splashy.alioth.debian.org/
 
 # Package: splashy-themes
 # Architecture: all
@@ -36,18 +39,18 @@
 # Description: A complete user-space boot splash system
 #  This package contains extra themes to be used with splashy.
 
-Package: libsplashy0
+Package: libsplashy1
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libdirectfb-extra
 Description: Library to draw splash screen on boot, shutdown, resume or suspend
  A boot splash library that doesn't require patching the Linux kernel.
 
-Package: libsplashy0-dev
+Package: libsplashy1-dev
 Architecture: any
 Section: libdevel
 Provides: libsplashy-dev
 Conflicts: libsplashy-dev
-Depends: ${shlibs:Depends}, libglib2.0-dev, libdirectfb-dev, libsplashy0 (=${Source-Version})
+Depends: ${shlibs:Depends}, libglib2.0-dev, libdirectfb-dev, libsplashy1 (=${Source-Version})
 Description: Library to draw splash screen on boot, shutdown, resume or suspend
  A boot splash library that doesn't require patching the Linux kernel.
