=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix= --libdir=/lib --sbindir=/sbin --sysconfdir=/etc \
 				--includedir=/usr/include --datarootdir=/usr/share --mandir=/usr/share/man
-DEB_DH_SHLIBDEPS_ARGS := -L libsplashy0 -l debian/libsplashy0/lib
+DEB_DH_SHLIBDEPS_ARGS := -L libsplashy1 -l debian/libsplashy1/lib
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
 binary-predeb/splashy::
